{% extends 'base.html.twig' %}

{% set section='pantries'|trans %}

{% block body %}
    <div class="container-fluid mt-2">


        <div class="mt-2">

            {% from '_pugx_sort_b5.html.twig' import sort -%}
        </div>
        {% for house in houses %}
        <div class="card my-4">
            <div class="card-header">
                <h5 class="card-title">
            <a href="{{ path('house_edit', {'id': house.id}) }}"
               class="btn btn-primary">
                <i class="bi bi-pencil"></i>
            </a>

            <a href="{{ path('product_presence_index',{'force_house': house.id}) }}"
               class="move-products btn btn-info">
                <i class="bi bi-eye"></i>
            </a>
                    <span style="color:{{ house.color }}">&#9632;</span>
            {{ house.name }}
            </h5>
            </div>
                <div class="card-body">

            <table class="table table-striped caption-top">
           <tbody>
            {% for foodStorage in house.pantries %}
                <tr>
                    <td>
                        <a href="{{ path('pantry_edit', {'id': foodStorage.id}) }}"
                           class="btn btn-primary">
                            <i class="bi bi-pencil"></i>
                        </a>

                        <a href="{{ path('product_presence_index',{'force_pantry': foodStorage.id}) }}"
                           class="move-products btn btn-info">
                            <i class="bi bi-eye"></i>
                        </a>
                    </td>
                    <td>
                        <span style="color:{{ foodStorage.color }}">&#9632;</span>
                        {{ foodStorage.name }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
            </div>
        </div>
        {% endfor %}

        <div class="d-grid gap-2">

            <a href="{{ path('house_new') }}" class="btn btn-primary">
                {% trans %}Add house{% endtrans %}
            </a>
            <a href="{{ path('pantry_new') }}" class="btn btn-primary">
                {% trans %}Add pantry{% endtrans %}
            </a>
        </div>


    </div>

{% endblock %}

{% block javascripts %}
    {{ parent() }}
{% endblock %}